server:
  port: 8080

spring:
  datasource:
    #    url:                                jdbc:postgresql://data-center:5432/datacenter
    #    username:                           postgres
    #    password:                           123qwe!@#
    url:                                jdbc:postgresql://172.17.23.64:5432/datacenter
#    url:                                jdbc:postgresql://172.17.11.228:5432/datacenterlabsl
    username:                           postgres
    #    password:                           persagy_2020qwe!@#
    password:                           cGVyc2FneV8yMDIwcXdlIUAj


# spring-cloud相关配置
eureka:
  client:                                   #客户端注册进eureka服务列表内
    service-url:
      #      defaultZone:                          http://192.168.64.18:9931/eureka
      defaultZone:                                http://frame:123456@39.102.43.179:9931/eureka/
      #      defaultZone:                                http://frame:123456@192.168.64.18:9931/eureka
      #      defaultZone:                          http://admin:1qaz2wsx@127.0.0.1:8888/eureka/ #增加密码
      enable-self-preservation: false # 设为false，关闭自我保护
      eviction-interval-timer-in-ms: 5000 # 清理间隔（单位毫秒，默认是60*1000）启用主动失效，
  instance:
    #不加的话我看过eureka注册界面，是以docker容器的container id注册过去的，譬如container id为abcde，
    #那么当访问该微服务时，eureka以http://abcde/xxx，去访问的，当然是访问不到该服务.
    #配置下面的选项后，就会以内网ip加端口去访问就能访问到了。
    prefer-ip-address: true
    instance-id: ${spring.cloud.client.ip-address}:${spring.application.name}:${server.port}